User talk:Valdemar

From Dwarf Fortress Wiki
Jump to navigation Jump to search

Dwarf Companion Disfunctional[edit]

I'm having massive problems getting both the normal version and your own version of the program working. Please look at the utility's talk page and see if you can help. The utility presents no data, and no option to collect data, only a few buttons with no function. Jwguy 22:30, 29 May 2009 (UTC)

Suggestion[edit]

Perhaps I'm overly efficient in some things, but it would seem needless to have the AHK link in there past the introduction at the top. (Not to mention, it would probably discourage any other unneeded "helpful" edits to your page.) --Edward 06:14, 28 April 2008 (EDT)

Dwarf Companion EXE doesn't work[edit]

The latest EXE download available is version 0.17c, and it completely fails to run - "G:\dwarfort\companion\library.zip\dwarfdbg.py:89: DeprecationWarning: raising a string exception is deprecated", followed by a stack trace and "can't guess offsets if not PE" (even though the game is running, albeit in Adventurer mode). Not sure if it's a bug within DC itself or if the included Python runtimes got updated and are no longer compatible. --Quietust 18:06, 2 January 2010 (UTC)

What version of DF are you running? I believe DC 0.17c is only for DF 40d16. Plain 40d requires DC version 0.16. --Valdemar 18:28, 2 January 2010 (UTC)
Ah, I was under the impression that 0.17 had simply added support for 40d16 rather than replacing the existing support. --Quietust 01:04, 3 January 2010 (UTC)
It might be helpful to indicate that on the Utility page as there's discussion on Talk relating to this problem. I added a few notes on the Talk page to respond to posters with that error but am not up to editing the actual page myself today - maybe once I have an account 12.71.14.197 14:01, 25 February 2010 (UTC)